Description

25 -Logout Functionality Not Implemented

CWE : CWE-1028

Description :

Logout functionality has not been implemented properly post login in the application.
Affected Path(s) :

https://earogya.satragroup.in/change-password *-Applicable to entire application
Impact :

This flaw that lets an application permit an attacker to reuse old session credentials or
session IDs, thus exposing an application to attacks that steal or reuse users’ session
identifiers.

Recommendation :

It is recommended to implement logout functionality.

Evidence/Proof Of Concept :

Step 1: Logout Functionality Not Implemented as shown in below screenshot.
History

#1 - 17/04/2024 10:47 PM - Karthik Daram
- Status changed from New to In Progress

- Assignee set to Raju Kuthadi

#2 - 25/04/2024 11:55 PM - Karthik Daram

- Status changed from In Progress to Resolved

#3 - 03/05/2024 05:23 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#4 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#5 - 30/09/2024 05:14 PM - Gautam Kumar

- Status changed from Resolved to Closed
